Welcome to ZipCentral

Thank you for using ZipCentral, the free, robust and easy to use zip file manager for Windows 95, 98, ME, 2000 and NT 4.0.
If you are new to the concept of zip files, please read the section What is a zip archive?

Feel free to send any comments and questions to the e-mail address: zcentral@hotmail.com
Please keep in mind though, that ZipCentral is a completely free product without any guaranteed support. The ZipCentral web page at: http://members.nbci.com/zipcentral will always be updated with the latest information regarding this product.


What is a zip archive?

An archive or a ZIP file normally refers to a collection of files that have been combined into one single file. The files within an archive are normally compressed, and compressing files into an archive provides several benefits:

  • Faster transmission of files across the Internet. First of all, only one file transfer operation (download) is required to obtain all files related to an application (or whatever you want to download), and file transfer time is minimized because the files in an archive are compressed. Using ZipCentral's compression, you can normally achieve a 50% reduction of the size of the uncompressed file size (this ratio can be higher or lower depending on the type of file being compressed).

  • It increases hard drive storage space. Files that are used less frequently can be compressed into an archive to save valuable hard drive space.

  • Files that are too big to fit on a floppy disk can be compressed to fit. If the compressed archive still is too big to fit on a floppy disk, it can be split on several disks using a feature called Disk Spanning.

ZIP archives can be recognized by their file extension. Normally, a ZIP archive has the extension ".ZIP" (i.e. "Setup.zip").

See Also:
 Creating a new archive
Opening an existing archive
Adding files to an archive
Extracting files from an archive


What's new in version 3.00

  • Added support for Windows 2000.
  • Improved handling of relative paths. It is now possible to specify the folder that the add operation should be relative to. This makes it possible to add individual files in any subfolder with a relative path. Previously, only all files in a subfolder could be added.
  • Improved handling of file system permissions on volumes using security.
  • Floppy disks can now be formatted before they are used in a spanned disk set.
  • Method for repairing damaged archives added.
  • The open archive and new archive dialogs now uses enhanced functionality when running on Windows ME or 2000.
  • The right-click menu in the main file list is now context sensitive.
  • Main toolbar can now be set to show small icons.
  • Application, menu and toolbar icons have been re-designed.
  • When adding files to an archive, you now have the option to overwrite, change file name or stop the operation if a file already exists in the archive.
  • Recent extract folders are now saved for easy access in the extract window.
  • The extract folder can now be automatically opened after extraction.
  • Column width is now saved on exit and restored on next startup if the option "Resize columns automatically" is turned off.
  • The online help now uses the HTML help system.
  • Corrected the Install feature to automatically expand existing folders.
  • Changed the behaviour when double clicking on an executable in the main file list so that folders are automatically expanded.
  • Association of archives can now be disabled.
  • Shell extension now recognizes if ZipCentral is busy performing another operation, thus preventing unexpected behaviour.
  • Changed the options in the add, configuration and dropped files window to be easier to use.
  • Fixed a problem with restoring the main window state at startup. The main window now restores correctly to maximized or minimized state.
  • New design and function of the installation program.
  • Installations can now be automated and run silently.

For full version history, please see the file Whatsnew.txt located in the ZipCentral program folder.


Creating a new archive from the ZipCentral main window

To create a new archive, press the New button on the toolbar or choose File->New archive from the main menu bar. If you prefer to use the keyboard, press Ctrl+N.

The Create new archive dialog will be displayed, in which you can choose location and name for the new zip file.

When you are done, press the Open button to create the new archive. If the archive already exists, you will get a question if you want to overwrite the existing archive. Select the appropriate action.

When the new archive has been created, the add dialog will be displayed in which you can choose the files to add to the archive. Please see the section: Adding files to an archive from the ZipCentral main window. If you do not want to add files now, press the Cancel button. If you wish to add files by using drag and drop instead of using the add window, please see the section: Adding files to an archive by using drag and drop.

See Also:
Creating a new archive from Windows Explorer


Creating a new archive from Windows Explorer

Please locate the folder where you want to create the new zip file. On the right hand side in Windows Explorer, right click to bring up the context menu and select New->ZipCentral File. This will create a file called New ZipCentral File.zip in the current folder. There are three different ways of opening the zip file but the easiest way is just to double click the file. Please see the section Opening from the ZipCentral main window or Opening from Windows Explorer or Opening by using drag and drop for more information.

See Also:
Creating a new archive from the ZipCentral main window


Opening an existing archive from main window

Opening an existing archive from the ZipCentral main window

Click the Open button in the main toolbar or click File->Open archive in the main menu bar. If you prefer to use the keyboard, press Ctrl+O.

The Open existing archive dialog will be displayed in which you can locate the zip file or exe file you want to open.

Exe files are executable files and some of them can be a self-extracting archive containing compressed files. ZipCentral can only open exe files if they are self-extracting archives. If you are new to the concept of self-extracting files, please see the section Converting a zip file to a self-extracting file.

When you have located the file to open, press the Open button to have ZipCentral to read and display the contents of the file.

See Also:
Opening an existing archive from Windows Explorer
Opening an existing archive by using drag and drop


Opening an existing archive from Windows Explorer

If you double click on a zip file in Windows Explorer, ZipCentral will start up and load the zip file.

If you already have ZipCentral running, the new file will be displayed in either the current window or a new ZipCentral window will start up. The setting Reuse ZipCentral Windows on the Options menu can control this behavior.

See Also:
Opening an existing archive from the ZipCentral main window
Opening an existing archive by using drag and drop


Opening an existing archive by using drag and drop

You can open a zip archive in ZipCentral by dragging a zip file from the Windows Explorer and drop it on the ZipCentral main window.

If you already have a zip file open, it will be closed and the contents of the dropped zip file will be displayed.

Step by step procedure:

  1. Start ZipCentral if you have not already done so.
  2. Click on an archive in My Computer or the Windows Explorer.

  3. While holding down the mouse button, move (drag) the mouse pointer over the ZipCentral window.

  4. Release the mouse button. The selected archive will be opened. Note that the archive will not be opened if you release the mouse button on a minimized ZipCentral window. This is normal behaviour in the Windows operating system.

See Also:
 Opening an existing archive from the ZipCentral main window
Opening an existing archive from Windows Explorer


Adding files to an archive from the ZipCentral main window

First, create a new or open an existing archive. Then, press the Add button in the main toolbar or choose Actions->Add from the main menu. You can also right-click in the main window to bring up a menu. If you prefer to use the keyboard, press Shift+A.

The add dialog will now be displayed. Select the files and/or folders you would like to add to the current archive. There are several options you can apply to the add operation:

F older Names
In this section, you can choose from three options, please see below.

Do not save
Folder names will not be stored in the archive.

Use full path
The full file path of every file will be stored in the zip file (without drive letter).

Use relative path
Only the relative path to the current folder of every file will be stored in the zip file.

Relative to
Type a valid folder name that the add operation should be relative to, or press the Curr. Fold. button to add the current folder. This makes it possible to add individual files (instead of complete folders with contents) in any subfolder with a relative path. If you do not enter any folder, the current folder displayed in the add window will be used.

Include subfolders
If set and one or more files and folders are selected, the selected files plus all files in subfolders will be added to the archive. Set Use full path in the Folder Names section to keep the existing directory structure and to be sure that all files in subfolders are added (you can not add two files with the same name if Use full path is not set).

If set and only one or more files (not folders) are selected, all subfolders will be scanned for files that match the name of the file you selected. If several files are found, they will all be added to the archive if the Use full path option is set. If the Use full path option is not set, the drive will still be scanned but only one file will be added. Therefore, to speed up the add operation, only use Include subfolders when necessary.

If not set, no files in subfolders will be added.

Compression level
Select compression level to use. Normal level gives you good compression while maintaining speed. Maximum compression gives the best compression but takes longer time to complete. Fast and Super Fast compression gives compression but maximizes speed. None stores all files without compression.

Use disk spanning
If set, the zip file can be split on multiple floppy disks if it does not fit on one disk. To learn more about disk spanning, see the section Options for disk spanning.

Protect files with password
If set, you will be asked to enter a password. This password is needed when extracting the files in the archive.

See Also:
Adding files to an archive from Windows Explorer
Adding files to an archive by using drag and drop


Adding files to an archive from Windows Explorer

To add files to an archive from Windows Explorer, select the desired file(s) and/or folder(s) and then right-click to bring up the context menu.

If one file and/or folder is selected, you have two options available: Add to zip... and Add to <filename>.zip... If two or more files and/or folders are selected, only the first option will be visible.

The first option starts up ZipCentral and asks you for location and name of the new zip file. After that, a window containing the file(s) you selected is displayed. In that window you can specify options to use for the addition.

The second option creates a new zip file with the same name as the file you selected (but with .zip extension). ZipCentral will start up and display a window containing the file you selected. Specify the desired options for the addition and the press OK.

See Also:
Adding files to an archive from the ZipCentral main window
Adding files to an archive by using drag and drop


Adding files to an archive by using drag and drop

To add one or more files using drag and drop, drag the files from the Windows Explorer to the ZipCentral main window. If an archive is open, the files will be added to the current archive. If no archive is open, you will be asked to create a new one.

Step by step procedure:

  1. Start ZipCentral if you have not already done so.
  2. Click on one or more files/folders in My Computer or the Windows Explorer.

  3. While holding down the mouse button, move (drag) the mouse pointer over the ZipCentral window.

  4. Release the mouse button.

When you have dropped the files, a window will be displayed which lists the files you have dropped. Select the options you would like to apply to the dropped files:

F older Names
In this section, you can choose from three options, please see below.

Do not save
Folder names will not be stored in the archive.

Use full path
The full file path of every file will be stored in the zip file (without drive letter).

Use relative path
Not available when using drag and drop.

Include subfolders
If set and one or more files and folders are selected, the selected files plus all files in subfolders will be added to the archive. Set Use full path in the Folder names section to keep the existing directory structure and to be sure that all files in subfolders are added (you can not add two files with the same name if Use full path is not set).

If set and only one or more files (not folders) are selected, all subfolders will be scanned for files that match the name of the file you selected. If several files are found, they will all be added to the archive if the Use full path option is set. If the Use full path option is not set, the drive will still be scanned but only one file will be added. Therefore, to speed up the add operation, only use Include subfolders when necessary.

If not set, no files in subfolders will be added.

Note that when using drag and drop, option of storing the relative path is disabled. Also, separate folder entries cannot be used.

Compression level
Select compression level to use. Normal level gives you good compression while maintaining speed. Maximum compression gives the best compression but takes longer time to complete. Fast and Super Fast compression gives compression but maximizes speed. None stores all files without compression.

Use disk spanning
If set, the zip file can be split on multiple floppy disks if it does not fit on one disk. To learn more about disk spanning, see the section Options for disk spanning.

Protect files with password
If set, you will be asked to enter a password. This password is needed when extracting the files in the archive.

See Also:
Adding files to an archive from the ZipCentral main window
Adding files to an archive from Windows Explorer


Extracting files from an archive from the ZipCentral main window

First, open an existing archive. Then, click Extract on the main toolbar or choose Actions->Extract from the main menu. You can also right-click in the main window to bring up a menu. If you prefer to use the keyboard, press Shift+E.

In the Extract to field, type the location where you want to put the extracted files or press "Browse" button to choose a location.

The following options control how the files are extracted:

Expand folders
If set, folder names stored in the zip file will be created. If not set, all files will be extracted into the same folder even if the zip file contains folder names.

Automatically create new folder
If set, ZipCentral will try to create a folder that has the same name as the zip file (without the .zip extension) and put the extracted files in that folder. If you have a zip file called Setup.zip and choose to extract it into the folder C:\DOWNLOAD, a new folder called Setup will be created in C:\DOWNLOAD. In that folder, the extracted files will be placed. If ZipCentral cannot create a folder (i.e. if it already exist), the files will be extracted to the existing folder.

If any of the files to extract already exists in the specified extract folder, you will have to confirm if you want to overwrite that file or not, or if you wish to overwrite or skip all existing files.

Open folder after extraction
If set, Windows Explorer will open when the extract operation is complete. The current folder in Windows Explorer will be the folder you extracted the archive to.

Tip: If you want to put the extracted files in a folder that does not exist, you do not need to click on the New Folder button. Simply type the name of the folder (including full path) in the Extract to field. ZipCentral will then create the folder for you and put the extracted files in it.

See also:
Extracting files from an archive from Windows Explorer
Extracting files from an archive by using drag and drop


Extracting files from an archive from Windows Explorer

To extract files from an archive by using Windows Explorer, select the desired zip file and then right-click to bring up the context menu.

Click the item Extract to... to open ZipCentral and display the extract window. Select the desired location for the extracted files and the options you want to apply, then click OK.

See also:
Extracting files from an archive from the ZipCentral main window
Extracting files from an archive by using drag and drop


Extracting files from an archive by using drag and drop

First, open an existing archive. Then drag the file or files you want to extract to the desired folder in the Windows Explorer or to the desktop.

Step by step procedure:

  1. Start ZipCentral and open a zip file if you have not already done so.
  2. Click on one or more files in the ZipCentral window.

  3. While holding down the mouse button, move (drag) the mouse pointer over the desired folder in My Computer or the Windows Explorer.

  4. Release the mouse button.

See also:
Extracting files from an archive from the ZipCentral main window
 Extracting files from an archive from Windows Explorer


Running a file in an archive

First, open an existing archive or create a new one and add files to it. Then, either double-click the desired file in the ZipCentral main window or select Actions->Open from the main menu. You can also right-click in the main window and choose Open.

If the file is an executable, all files will be extracted into a temporary folder and the selected file will be run. This is done, because very often an executable file in an archive depends on other files in the archive in order to run.

If the file is not an executable, ZipCentral will open the file in it's associated program.

If the file is not an executable and do not have a program associated with it, no action will be performed.


Viewing a file in an archive

First, open an existing archive or create a new one and add files to it. Then, select Actions->View with text viewer to view it with Notepad or Actions->Quick view to view with the Quick View program. You can also right click in the main window to bring up a menu. If you do not want to use Notepad as text viewer, you can select the preferred viewer by selecting Options->Configuration->Program Locations.

If the file you want to view is a text file (i.e. Readme.txt), you can simply double-click it to run it in the associated text viewer.


Converting a zip file to a self-extracting file

First, open a zip file or create a new one and add files to it. Then click Convert on the main toolbar or select Tools->Convert to executable from the main menu. You can also right-click in the main window to bring up a menu.

The Create self-extracting archive window will be displayed. In this window you can customize your self-extracting archive. If you do not change any of the options, a standard self-extracting file will be created.

Note that the zip file you have open will be converted to a self-extracting executable file with the same name when you click the OK button.

The following options are available for customizing the executable:

Default extraction folder on users computer
Type the name of the folder to use as the default extraction folder when the archive is executed. To use the temporary folder, type two arrows ><.

Execute following command after extraction
If you want a file to be executed or a text file to be displayed after the extraction is complete, specify it in this field. Program names and arguments must be separated with a vertical bar |.

To specify the actual extraction folder, type two arrows ><.
Example:
notepad|><readme.txt
This will run notepad and display the file Readme.txt located in the extraction folder.

Default overwrite action
Let's you specify the default action to perform if files already exist in the extraction folder.

Create an autorun sfx
If set, the created file will run automatically when you double-click it in the Windows Explorer. The files within the archive will be extracted to the directory you specify in the field Default extraction folder on users computer. Use this option carefully since files will be extracted on to a users computer without his/her knowledge. To really make the file auto run, you need to change the filename so it starts with an exclamation mark (i.e. !AUTORUN.EXE).


Converting a self-extracting file to a zip file

First, open an existing self-extracting file. Then press Convert on the main toolbar or select Tools->Convert to zip file from the main menu. You can also right-click in the main window to bring up a menu.

The current self-extracting file will be converted to a zip file with the same name.


What is disk spanning?

Disk spanning lets you store a large zip file on multiple floppy disks. You can create a new archive that will be spanned across multiple disks, or you can open an existing archive and convert it to spanned.


Options for disk spanning

You can set the following options for disk spanning, either in the configuration window by selecting the tab Disk spanning or in the add window by pressing the button Disk spanning:

Max size of a volume
Enter a value to control how large a volume can become. If you set the value to 0 (zero), all available space on the disk will be used before you are asked to insert next disk.

Do not use a disk unless it has this many bytes free
Enter a value to control how much free disk space a disk must have before it is accepted for storing a part of the archive.

Leave this many bytes free on the first disk
Enter a value to set how many free bytes should be left on the fist disk. This can be used to leave space for another file, i.e. a readme or setup file.

Format (erase) disks before spanning
Floppy disks will be formatted before they are used in a spanned set. A format dialog will appear in which you can choose the desired format options. Only removable media can be erased before spanning.


Converting a spanned archive to a single file

To convert a spanned archive on a floppy disk to a single zip file, click on Tools->Read disk span in the main menu. You can also right-click in the ZipCentral main window to bring up a menu.

The Read disk span window is now displayed. Follow the instructions on-screen to convert the spanned archive to a single zip file.


Converting a single zip file to a spanned archive

To convert a single zip file to a file spanned across multiple disks, click on Tools->Write disk span in the main menu. You can also right-click in the ZipCentral main window to bring up a menu.

The Write disk span window is now displayed. Follow the instructions on-screen to convert the single zip file to a spanned file.


Mailing an archive

Installation and Uninstallation

Installation
To install ZipCentral, launch ZCSETUP.EXE and follow the instructions.

Uninstallation
ZipCentral can be removed from your system by following the instructions below.

If you are running Windows 95, 98 or NT 4.0:
In Control Panel, click Add/Remove Programs. Select ZipCentral
from the list of installed programs, then click Add/Remove.

If you running Windows ME or 2000:
In Control Panel, click Add/Remove Programs. Select ZipCentral
from the list of installed programs, then click Change/Remove.

See Also:
 Automating an installation


Mailing an archive

Automating an installation

To create a silent installation you can:
  • Pass '/Silent' or '/VerySilent' as command line options to ZCSetup.exe, and optionally use '/Dir=', '/Group=', '/NoIcons' to change the parameters from their default values.
  • Create an ini-style file and use the '/LoadInf=' command line option. The file should contain a [Setup] section with keys Silent, VerySilent, Dir, Group, NoIcons and/or SaveInf.
To create a silent uninstallation pass '/Silent' as a command line option to the uninstaller. For example:

unins000.exe /Silent

The uninstaller can be found in the directory where you installed ZipCentral.

Installer command line options

/silent
When a setup is silent, the wizard and the background window are not displayed, but the 'installation progress' window is. If a restart is necessary a Silent install will display a 'Reboot now?' messagebox. To prevent rebooting, use the '/norestart' parameter.

/verysilent
When a setup is very silent, the installation progress window is not displayed, but error messages during installation are displayed. A VerySilent install will reboot without asking. To prevent rebooting, use the '/norestart' parameter.

/norestart
Prevents rebooting, even if it's necessary.

/noicons
Do not create any icons during the installation.

/dir=dirname
The directory to install the application to. This option already has a standard value (C:\<Program Files Directory>\ZipCentral), so if you do not want to change the default, you can leave it out.

/group=groupname
The program group to create the icons in. This option already has a standard value (ZipCentral), so if you do not want to change the default, you can leave it out.

/loadinf=filename
Load file with setup directives, previously created by the '/saveinf' command.

/saveinf=filename
Start Setup with a '/saveInf=filename' command line parameter (don't forget to use quotes if the filename contains spaces) and use the wizard to install ZipCentral. After the installation has completed, a file with the options that were selected using the wizard is saved with the specified name. You can then use the '/loadinf=filename' command to perform a new installation with the same options.

Remarks:
-The files used with /LoadInf and /SaveInf should be ini-style files with a [Setup] section. Here is an example:

[Setup]
Silent=1
Norestart=1


Copying or moving an archive

First, open an existing archive. Then, click on File->Copy archive or File->Move archive in the main menu. If you prefer to use the keyboard, press F7 or F8.
In the Copy archive to or Move archive to field, type the pathname where you want to put the archive or choose Browse to select a folder.


Installing programs

If the archive you have open contains a file called Setup.exe or Install.exe, you can run it by clicking Install on the main toolbar or by selecting Actions->Install in the main menu. If you prefer to use the keyboard, press Shift+I.

ZipCentral will then extract all files in the archive and run the setup file.


Mailing an archive

To mail an archive, you need an Internet e-mail program installed and configured on your computer. ZipCentral uses the default e-mail program to send the current zip file.

First, open an existing archive. Then, click on File->Mail archive in the main menu. If you prefer to use the keyboard, press Shift+M.
A new e-mail message will be created. As attachment to this message, you will have the current archive. Type in a valid e-mail address. Optionally you can enter a subject and some text in the message body that tells the receiver what this file is and how to use it. Then, send the message (how to perform this action varies depending on the e-mail program you use).


Renaming an archive

First, open an existing archive. Then, click on File->Rename archive in the main menu. If you prefer to use the keyboard, press Shift+R.


Renaming files in an archive

First, open an existing archive. Then, select the desired file and click on Actions->Rename in the main menu. If you prefer to use the keyboard, press F2. Enter the new name and press Enter.


Adding files to an archive from the ZipCentral main window

Repairing a damaged archive

First, choose Tools->Repair archive from the main menu. If you prefer to use the keyboard, press Ctrl+R.

The repair damaged archive dialog will now be displayed. Type the path and name of the damaged archive or press the Browse button to locate it. When you have selected the archive to repair, press the Start button and watch the progress and result in the Status section.

When the repair operation is complete, a new archive has been created in the same folder as the original archive. The name of the new archive will be the name of the original archive with string _Repaired appended to it. For example, if the original archive is called My Archive.zip, the repaired archive will be called My Archive_Repaired.zip. The original archive will remain intact.

It should be noted that not all damaged archives can be repaired. The result of a repair operation depend on how the archive is damaged.


Searching for files and folders

To bring up the search window, choose File->Search files from the main menu. If you prefer to use the keyboard, press F2.

Since the search window is the standard Windows search applet, see your Windows documentation to learn how to search for files using the search window.


Virus-scanning

To use the virus-scanning feature, you need to have an anti-virus software installed on your computer. The first time you use this feature, you need to tell ZipCentral what program you are using and any optional parameters to use. To do that, click on Options->Configuration in the ZipCentral main menu and then click on the Program Locations tab. In the Virus scanner section, select the program you have installed from the pre-defined list, or type the name of the file including full path. You can also click on the button to the right to browse for a program.

Type any additional parameters to use for the anti-virus software in the Parameters field.

When the configuration is ready, the menu item Virus scan on the Actions menu will be available.